package org.dromara.filemanager.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.lang.Nullable;

import java.io.Serial;

/**
 * 电子档案对象 tbl_archives
 *
 * @author Lion Li
 * @date 2024-05-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tbl_archives")
public class TblArchives extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 区域
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String area;

    /**
     * 丘权号
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String qiuquan;

    /**
     * 建设单位（或申请单位）
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String buildUnit;

    /**
     * 地址（公安门牌）
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String addr;

    /**
     * 小区名称
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String community;

    /**
     * 成果（建档）日期
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String achievementDate;

    /**
     * 保管期限
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String savePeriod;

    /**
     * 备注
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String remark;

    /**
     * 电子档编号
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String ecode;

    /**
     * 存档位置
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String saveAddr;

    /**
     * 扩展1
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String ext1;

    /**
     * 扩展2
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String ext2;

    @TableField(insertStrategy = FieldStrategy.NOT_NULL)
    private String status;


}
