package org.dromara.filemanager.domain.bo;

import org.dromara.filemanager.domain.TblArchives;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 电子档案业务对象 tbl_archives
 *
 * @author Lion Li
 * @date 2024-05-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TblArchives.class, reverseConvertGenerate = false)
public class TblArchivesBo extends BaseEntity {

    /**
     * 编号
     */

    private Long id;

    /**
     * 区域
     */
    private String area;

    /**
     * 丘权号
     */
    private String qiuquan;

    /**
     * 建设单位（或申请单位）
     */
    private String buildUnit;

    /**
     * 地址（公安门牌）
     */
    private String addr;

    /**
     * 小区名称
     */
    private String community;

    /**
     * 成果（建档）日期
     */
    private String achievementDate;

    /**
     * 保管期限
     */
    private String savePeriod;

    /**
     * 备注
     */

    private String remark;

    /**
     * 电子档编号
     */
    private String ecode;

    /**
     * 存档位置
     */
    private String saveAddr;

    /**
     * 扩展1
     */

    private String ext1;

    /**
     * 扩展2
     */

    private String ext2;

    private String status;


}
