package org.dromara.filemanager.domain.bo;

import org.dromara.filemanager.domain.TblArchivesFile;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 项目文件业务对象 tbl_archives_file
 *
 * @author Lion Li
 * @date 2024-06-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TblArchivesFile.class, reverseConvertGenerate = false)
public class TblArchivesFileBo extends BaseEntity {

    /**
     * 编号
     */
    @NotNull(message = "编号不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 文件编号
     */
    @NotNull(message = "文件编号不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long ossFileId;

    /**
     * 项目编号
     */
    @NotNull(message = "项目编号不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long archiveId;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
