package org.dromara.filemanager.domain.vo;

import org.dromara.filemanager.domain.TblArchivesFile;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 项目文件视图对象 tbl_archives_file
 *
 * @author Lion Li
 * @date 2024-06-06
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = TblArchivesFile.class)
public class TblArchivesFileVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 文件编号
     */
    @ExcelProperty(value = "文件编号")
    private Long ossFileId;

    /**
     * 项目编号
     */
    @ExcelProperty(value = "项目编号")
    private Long archiveId;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
