package org.dromara.filemanager.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.dromara.filemanager.domain.TblArchives;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 电子档案视图对象 tbl_archives
 *
 * @author Lion Li
 * @date 2024-05-20
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = TblArchives.class)
public class TblArchivesVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 区域
     */
    @ExcelProperty(value = "区域")
    private String area;

    /**
     * 丘权号
     */
    @ExcelProperty(value = "丘权号")
    private String qiuquan;

    /**
     * 建设单位（或申请单位）
     */
    @ExcelProperty(value = "建设单位", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "或=申请单位")
    private String buildUnit;

    /**
     * 地址（公安门牌）
     */
    @ExcelProperty(value = "地址", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "公=安门牌")
    private String addr;

    /**
     * 小区名称
     */
    @ExcelProperty(value = "小区名称")
    private String community;

    /**
     * 成果（建档）日期
     */
    @ExcelProperty(value = "成果", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "建=档")
    private String achievementDate;

    /**
     * 保管期限
     */
    @ExcelProperty(value = "保管期限")
    private String savePeriod;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 电子档编号
     */
    @ExcelProperty(value = "电子档编号")
    private String ecode;

    /**
     * 存档位置
     */
    @ExcelProperty(value = "存档位置")
    private String saveAddr;

    /**
     * 扩展1
     */
    @ExcelProperty(value = "扩展1")
    private String ext1;

    /**
     * 扩展2
     */
    @ExcelProperty(value = "扩展2")
    private String ext2;

    private String status;


}
