package org.dromara.filemanager.service;

import org.dromara.filemanager.domain.TblArchivesFile;
import org.dromara.filemanager.domain.vo.TblArchivesFileVo;
import org.dromara.filemanager.domain.bo.TblArchivesFileBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 项目文件Service接口
 *
 * @author Lion Li
 * @date 2024-06-06
 */
public interface ITblArchivesFileService {

    /**
     * 查询项目文件
     */
    TblArchivesFileVo queryById(Long id);

    /**
     * 查询项目文件列表
     */
    TableDataInfo<TblArchivesFileVo> queryPageList(TblArchivesFileBo bo, PageQuery pageQuery);

    /**
     * 查询项目文件列表
     */
    List<TblArchivesFileVo> queryList(TblArchivesFileBo bo);

    /**
     * 新增项目文件
     */
    Boolean insertByBo(TblArchivesFileBo bo);


    Boolean insertBatch(List<TblArchivesFileBo> bo);


    /**
     * 修改项目文件
     */
    Boolean updateByBo(TblArchivesFileBo bo);

    /**
     * 校验并批量删除项目文件信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Boolean deleteUnusedFiles();
}
