package org.dromara.filemanager.service;

import org.dromara.filemanager.domain.TblArchives;
import org.dromara.filemanager.domain.vo.TblArchivesVo;
import org.dromara.filemanager.domain.bo.TblArchivesBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 电子档案Service接口
 *
 * @author Lion Li
 * @date 2024-05-20
 */
public interface ITblArchivesService {

    /**
     * 查询电子档案
     */
    TblArchivesVo queryById(Long id);

    /**
     * 查询电子档案列表
     */
    TableDataInfo<TblArchivesVo> queryPageList(TblArchivesBo bo, PageQuery pageQuery);

    /**
     * 查询电子档案列表
     */
    List<TblArchivesVo> queryList(TblArchivesBo bo);

    /**
     * 新增电子档案
     */
    Boolean insertByBo(TblArchivesBo bo);

    /**
     * 修改电子档案
     */
    Boolean updateByBo(TblArchivesBo bo);

    /**
     * 校验并批量删除电子档案信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
